Autor Zpráva
peta
Profil *
Potreboval bych nejaky jednoduchy program, ktery by umel zpracovat PHP stranku s promennymi $xxx a s funkci include()
A dale by
- mel byt jednoduchy
- kdyby mi nekdo prilozil navod step-by-step na instalaci
- a jeste navod pro otevreni nejake demo stranky treba z adresare c:\aaa\bbb\index.php

Pokud to bude umet i SQL tim lip.
Nechci zbytecne nahravat s PHP.net , pokud je neco jednodussiho. Ono to neni pro mne, ja jsem spokojeny se serverem :)
roberta
Profil
akože ten dotyčný chce nejaký emulátor PHP na lokálnom PC? netuším, načo by to niekomu bolo... nechápem, prečo si nenainštaluje celé php package z http://www.php.net/downloads.php však to nemá dokopy ani 15 MB... a inak PHP bez servera ani nepôjde, kedže sa jedná o serverovú technológiu. to nech si radšej nainštalujte nejaké C/C++, keď sa chce učiť programovať...
Icepoint
Profil
2peta : stahni si neco jako PHPtriad nebo EasyPHP a je to ... jednoduchy jak facka :)
nightfish
Profil
PHP již nějakou dobou ve standardní distribuci disponuje i php-cli, neboli programem spustitelným z příkazového řádku, který provede skript, který mu dáte jako parametr...
peta
Profil *
nightfish To se podivam... Ale ono se musi stahnout pak celych 15M asi :)

Icepoint tyhle veci jsem kdysi mel na disku a kdyz k tomu neni poradny navod step-by-step, tak bych to radeji neinstaloval. Bych si ho musel udelat sam a pak to jeste nejak srozumitelne vysvetlit pres mail :) To uz zrovna cely PHP

roberta S tim C++ to nejak nechapu. Jako, kdyz to jinak nepujde, nainstaluji si PHP.net . Co vim, tak PHP net si vytvori normalne server jako localhost, na disku. Aspon kdysi jsem to tak mel. Ale desne mne stvalo, co si to vse pousti, a ze se konfigurace musela udelat rucne a moc se do toho muselo vrta. Nevim, jak to je ted.
peta
Profil *
Icepoint
PHPtriad 2.2.1 - v dnesni dobe XP zcela nepouzitelne, mam pocit, ze by bylo slozite vysvetlit cloveku, jak to nakonfigurovat a zaradit do po spusteni. Ale podarilo se mi to ted rozjet.
- Apache(1.3.23)
- MySQL(3.23.48)
- PHP(4.1.1)

EasyPHP
http://www.jakpsatweb.cz/php/easyphp.html
Zatim jsem na tom optimisticky, pozdeji sdelim zkusenosti :)

nightfish
Ze stranky PHP jsem si stahl jakousi ocesanou verzi PHP 4.2 , ale zel jsem to nedokazal rozchodit. samozrejme v nejhorsim pripade stahnu PHP5, ale to nechavam jako posledni moznost.
krteczek
Profil
phphome: www.skfree.sk => komplet balík apache2.xx+php5.xx+ mysql4xx (přesné verze si nepamatuji)
pokud projdete úspěšně instalací (v některých verzích měli zkoněný instalátor =>chyběli texty) tak není třeba nic více
krteczek
peta
Profil *
Icepoint EasyPHP mi jede pod XP bez problemu, vsechno si to samo nahralo, neni treba davat nic do po spusteni. Uvidime, jak si poradi s tim navodem ten clovicek, co to potrebuje :)
peta
Profil *
krteczek Dik, mozna nekdy jindy, ale poznacim si to, protoze to ma nejnovejsi verze.

EasyPHP 1.8 ma
- apache 1.3.33
- php 4.3.10
- mysql 4.1.9
- phpmyadmin 2.6.1
(readme.txt)
Toto téma je uzamčeno. Odpověď nelze zaslat.